# Uses of Interface
org.apache.commons.math3.analysis.MultivariateMatrixFunction

Packages that use MultivariateMatrixFunction
Package
Description
org.apache.commons.math3.analysis
Parent package for common numerical analysis procedures, including root finding, function interpolation and integration.
org.apache.commons.math3.analysis.differentiation
This package holds the main interfaces and basic building block classes dealing with differentiation.
org.apache.commons.math3.fitting
Classes to perform curve fitting.
org.apache.commons.math3.fitting.leastsquares
This package provides algorithms that minimize the residuals between observations and model values.
org.apache.commons.math3.optim.nonlinear.vector
Algorithms for optimizing a vector function.

## Uses of MultivariateMatrixFunction in org.apache.commons.math3.analysis

Methods in org.apache.commons.math3.analysis that return MultivariateMatrixFunction
Modifier and Type
Method
Description
`MultivariateMatrixFunction`
DifferentiableMultivariateVectorFunction.`jacobian()`
Deprecated.
Returns the jacobian function.

## Uses of MultivariateMatrixFunction in org.apache.commons.math3.analysis.differentiation

Classes in org.apache.commons.math3.analysis.differentiation that implement MultivariateMatrixFunction
Modifier and Type
Class
Description
`class`
`JacobianFunction`
Class representing the Jacobian of a multivariate vector function.

## Uses of MultivariateMatrixFunction in org.apache.commons.math3.fitting

Methods in org.apache.commons.math3.fitting that return MultivariateMatrixFunction
Modifier and Type
Method
Description
`MultivariateMatrixFunction`
AbstractCurveFitter.TheoreticalValuesFunction.`getModelFunctionJacobian()`

## Uses of MultivariateMatrixFunction in org.apache.commons.math3.fitting.leastsquares

Methods in org.apache.commons.math3.fitting.leastsquares with parameters of type MultivariateMatrixFunction
Modifier and Type
Method
Description
`static LeastSquaresProblem`
LeastSquaresFactory.`create(MultivariateVectorFunction model, MultivariateMatrixFunction jacobian, double[] observed, double[] start, RealMatrix weight, ConvergenceChecker<LeastSquaresProblem.Evaluation> checker, int maxEvaluations, int maxIterations)`
Create a `LeastSquaresProblem` from the given elements.
`LeastSquaresBuilder`
LeastSquaresBuilder.`model(MultivariateVectorFunction value, MultivariateMatrixFunction jacobian)`
Configure the model function.
`static MultivariateJacobianFunction`
LeastSquaresFactory.`model(MultivariateVectorFunction value, MultivariateMatrixFunction jacobian)`
Combine a `MultivariateVectorFunction` with a `MultivariateMatrixFunction` to produce a `MultivariateJacobianFunction`.

## Uses of MultivariateMatrixFunction in org.apache.commons.math3.optim.nonlinear.vector

Methods in org.apache.commons.math3.optim.nonlinear.vector that return MultivariateMatrixFunction
Modifier and Type
Method
Description
`MultivariateMatrixFunction`
ModelFunctionJacobian.`getModelFunctionJacobian()`
Deprecated.
Gets the Jacobian of the model function to be optimized.
Constructors in org.apache.commons.math3.optim.nonlinear.vector with parameters of type MultivariateMatrixFunction
Modifier
Constructor
Description
``
`ModelFunctionJacobian(MultivariateMatrixFunction j)`
Deprecated.